# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetImageSize, DXGetImageBounds

Function

Return information about image Fields.

Syntax
`
#include <dx/dx.h>
`

Field DXGetImageSize(Field i, int *width, int *height)
Object DXGetImageBounds(Object o, int *x, int *y, int *width, int *height)

Functional Details

`DXGetImageSize` returns the `width` and `height` of a simple image Field `i`.

`DXGetImageBounds` returns the origin and dimensions of a simple or composite image Field `o` (such as is generated by the Arrange module). The origin is the offset of this part of the image compared to the whole image.

Return Value

Return the image or return `NULL` and sets an error code.

See Also

`DXGetPixels, DXMakeImage`

16.9 , "Image Fields".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]